jQuery(document).ready(function($){

    $(document).on('click', '#musician-band-artist-welcome-notice .notice-dismiss', function(){

        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'musician_band_artist_dismiss_notice'
            }
        });

    });

});